API referenceTikTok Business

GET /api/v1/accounts/{id}/tiktok-business/settings

The account's post settings (/business/video/settings/) in creator-info form, to read before each post: privacy levels (photo posts; videos are always PUBLIC_TO_EVERYONE), interactions the account disabled, max video length

GET
/api/v1/accounts/{id}/tiktok-business/settings

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Query Parameters

mediaType?string

photo: privacy levels for photo posts

Value in"video""photo"

Response Body

CreatorInfo

application/json
  1. response
accountId?string
platform?string
mediaType?string
creator?
privacyLevels?array<>
interactionSettings?
maxVideoDurationSec?integer
commercialContentTypes?array<>
note?string
Example Request
curl -X GET 'https://example.com/api/v1/accounts/string/tiktok-business/settings'
Example Response
{  "accountId": "string",  "platform": "string",  "mediaType": "string",  "creator": {    "nickname": "string",    "username": "string",    "avatarUrl": "string"  },  "privacyLevels": [    {      "value": "string",      "label": "string",      "allowedNow": true    }  ],  "interactionSettings": {},  "maxVideoDurationSec": 0,  "commercialContentTypes": [    {      "value": "string",      "label": "string"    }  ],  "note": "string"}